Subject: Re: linux-next: manual merge of the akpm-current tree with the integrity tree

From: Mimi Zohar <[email-masked]>
Date: Fri, 13 Mar 2020 10:54:12 -0400

On Fri, 2020-03-13 at 21:07 +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the akpm-current tree got a conflict in:
> 
>   arch/x86/Kconfig
> 
> between commits:
> 
>   9e2b4be377f0 ("ima: add a new CONFIG for loading arch-specific policies")
> 
> from the integrity tree and commit:
> 
>   faaa52178603 ("userfaultfd: wp: add WP pagetable tracking to x86")
> 
> from the akpm-current tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> Note that I put the selects in their correct alphabetical position as
> asked by the comment higher up in the file.  If that had been done in
> the patches, then there would have been no conflicts ...

True.  Thanks, Stephan.  Before moving it to "its proper location",
I'm wondering if there should be a separate section for "imply".

Mimi